* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family:Ubuntu,Arial,sans-serif;
}

body {
  background: #ffffff;
  color: #005DA4;
  line-height: 1.6;
}

html { scroll-behavior: smooth; }

img {
  width: 100%;
  height: auto;
}

a{color: #005DA4;text-decoration: none;cursor:pointer;}

.hero {
  position: relative;
}

/*
.hero::after {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(120deg, #1e6fb7 0%, #1e6fb7 45%, #3aa56f 100%);
  opacity: 0.85;
  clip-path: ellipse(80% 60% at 40% 40%);
}
*/

.hero-content {
  position: relative;
  z-index: 2;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.hero h1 {
  color: white;
  font-size: clamp(2.2rem, 6vw, 5rem);
  text-align: center;
  font-weight: 800;
}


/* hlavní navigace */
.main-nav {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background:#ffffff;  
  z-index: 1000;
}

.nav-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0.7rem 4vw;
  box-shadow: 0 8px 10px -10px gray;
}

.logo {
  font-size: 1.6rem;
  font-weight: bold;
  text-decoration: none;
  color: #1e6fb7;
  justify-content: center;
  align-content: center;
  display: grid;
  max-width: 170px;
}


.logoim {
  width: 100%;
}

/* seznam */
.nav-links {
  list-style: none;
  display: flex;
  gap: 2rem;
}

/* samotné odkazy */
.nav-links a {
  text-decoration: none;
  color: #005DA4;
  transition: color 0.2s;
  text-transform: uppercase;
  font-weight: 900;
  font-size: 1.1rem;
}

.nav-links a.active {
  font-weight: 900;
  border-bottom: 2px solid #1e6fb7;
}

/* mobilní menu */
.nav-toggle {
  display: none;
  background: none;
  border: none;
  font-size: 1.8rem;
  cursor: pointer;
}



.langdiv {
    margin: 0 0px 8px 5px;
    font-weight: 900;
    font-size: 1.1rem;
    color: #005DA4;
}

/* BLOCKS */

.block {
  padding: 5rem 8vw;
  text-align: center;
}

.block h1 {
  font-size: clamp(1.8rem, 5vw, 4rem);
  text-align: center;
  font-weight: 800;
  text-transform: uppercase;
  margin: 0 10px 30px 10px;
}

.dejh2 {
  font-size: clamp(1.8rem, 5vw, 4rem);
  text-align: center;
  font-weight: 800;
  text-transform: uppercase;
}

.two-cols {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 3rem;
  align-items: center;
}

.inverted {
  background: #f4f6f8;
}

.text {
  width: 100%;
  text-align: center;
}
    
.text h2,.text h3 {
  font-size: 2rem;
  margin-bottom: 1rem;
  max-width: 100%;
  text-transform: uppercase;
}

.text p {
  max-width: 70%;
  text-align: center;
  margin: 0 auto;
}

.highlight h2 {
  color: #1e6fb7;
}

/* IMAGES */

.image {
  position: relative;
  max-width:839px;
  min-height: 100px;
  background-size: cover;
  background-position: center;
}

.image.img-2 {
  min-height: 1000px;
}

.image img {
  width: 100%;
  height: auto;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  transition: all .15s ease-in-out;

}
.image img:hover {
transition: 0.1s linear;
transform: scale(1.03);
}



address {
  font-style: normal;
}
/*
.image::after {
  content: "";
  position: absolute;
  inset: 0;
  background: #1e6fb7;
  opacity: 0.55;
  clip-path: ellipse(65% 55% at 30% 50%);
}
*/

.img-1 { background-image: url("./img/proc-jsme-vznikli-1000x703px.jpg"); }
.img-2 { background-image: url("./img/nasi-zakaznicit-1000x1049px.jpg"); }
.img-3 { background-image: url("./img/kontakt-1000x703px.jpg"); }
.img-4 { background-image: url("./img/recyklacni-stredisko-1000x703px.jpg"); }
.img-5 { background-image: url("https://images.unsplash.com/photo-1604145559206-e3bce0040e2a"); }
.img-6 { background-image: url("https://images.unsplash.com/photo-1616512659455-d21652a54c0f"); }

/* QUOTE */

.quote {
  height: 70vh;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}
/*
.quote::after {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(120deg, #1e6fb7, #3aa56f);
  opacity: 0.85;
}
*/

/* FOOTER */

.footer {
  padding: 2rem 8vw 4rem 8vw;
  text-align: center;
  font-size: 0.9rem;
  background: #fff;
}

.blockfooter {
  padding: 5rem 8vw 0 8vw;
  text-align: center;
  margin: 0 0 -8px 0;
}

.footerimg {
  width: 100%;
  height: auto;
}

.footer p{
  color: #005DA4;
}

.footer a{
  color: #005DA4;
  text-transform: uppercase;text-decoration: none;
}

.footer .lang{
  display: flex;
  justify-content: center;
  align-content: center;

}

.footer .lang a{
  margin: 5px;
  
}

.footer .lang a.active {
    font-weight: 900;
    /* border-bottom: 2px solid #005DA4; */
}

.footer .langdiv {
  margin: auto;
  font-weight: normal;
  font-size: 1rem;
  color: #005DA4;
}

.waste{
  margin: 10px auto 10px auto;
  font-weight: normal;
  font-size: 3rem;
}


.waste {
  color: #ffffff;
  position: relative;
  display: inline-block;
}

.waste::after,
.waste::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 2px;
  background: linear-gradient(to right, #ffffff, #005DA4);
  bottom: -5px;
  left: 0;
  transform: scaleX(0);
  transform-origin: right;
  transition: all .4s ease-in-out;
}

.waste::before {
  top: -5px;
  transform-origin: left;
}

.waste:hover::after,
.waste:hover::before {
  transform: scaleX(1);
}


.hero-video {
  position: relative;
  width: 100%;
  /*height: 100vh;           výška přes celou obrazovku */
  overflow: hidden;
  margin-top: 56px;
}

/* společné vlastnosti videí */
.hero-video .video {
  position: absolute;
  top: 50%;
  left: 50%;
  min-width: 100%;
  min-height: 100%;
  width: 100%;
  height: auto;
  transform: translate(-50%, -50%);
  object-fit: cover;
}

.video-mobile {
  display: none;
}

/* overlay vrstva */
.hero-overlay {
  position: relative;
  z-index: 2;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

/* pokud používáš obrázek */
.hero-overlay img {
  width: 100%;
  height: 100%;
}


.ulmenu {
  padding: 0;
  margin: 0 auto;            
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  flex-wrap: wrap;
  gap:10px; 
}

.ulmenu li {
  padding: 7px 12px;  
  list-style: none;
  border: 1px solid #005DA4;
  background: #ffffff;
  transition: all 0.3s ease;
}

.ulmenu li:hover {
  background: #ffffff;
  color: #005DA4;
}


.bc_f{display: flex;flex-wrap: wrap;justify-content: center;align-content: center;margin:40px auto 30px auto;gap: 15px;}
.bc_f a{font-size: 1rem;display: flex;align-items: center;margin:0 20px;}
.bc_f img {width: 22px;height: 22px;margin:7px 6px 0 0;} 

.bc_f .fcbimg {width: 21px;height: 21px;margin: 7px 6px 0 0;}
.bc_f .linkedinimg {width: 22px;height: 22px;margin: 3px 6px 0 0;}


/* mobilní verze */



@media (max-width: 950px) {  
  
  main{padding: 0 5vw 0 5vw;}
  
  .text p {max-width:100%;}

  .inverted .text{order:2;}
  .inverted .image{order:1;}
  
  #kontakt .inverted .text{order:1;}
  #kontakt .inverted .image{order:2;}
  
   
}
  
  
#kontakt {padding: 0rem 0;}  
  
.footer a {
    text-decoration: none;
   
}  
  
.footer a:hover {
    text-decoration: underline;
}

.footer-col {
    text-align: left;
    color: #005DA4;
    font-size: 1.2rem;
}

.footer-col:first-child {
    text-align: center;
}

.footer-col a {
    color: #005DA4;
}

.footer-inner {
    margin: 0 auto 30px auto;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 40px;
}

.footer-logo {
    max-width: 280px;
    height: auto;
}

/* Tablet */
@media (max-width: 1880px) {
    .footer-inner {
        grid-template-columns: repeat(3, 1fr);
    }
    
    .footer-col:first-child {
        text-align: left;
    }
}

/* Tablet */
@media (max-width: 1100px) {
    .footer-inner {
        grid-template-columns: repeat(2, 1fr);
    }
    
    .footer-col:first-child {
        text-align: left;
    }
}



/* Mobil */
@media (max-width:1096px) {
    .footer-inner {
        grid-template-columns: 1fr;
        text-align: center;
    }
   
    .footer-col:first-child {
        text-align: center;
    }
    
    .footer-col {
        text-align: center;
    }

    .footer-logo {
        margin: 0 auto;
    }
}


/* breakpoint pro mobil */
@media (max-width:1096px) {
  .video-desktop {
    display: none;
  }
  .video-mobile {
    display: block;
  }
}

/* mobilní verze */
@media (max-width:1096px) {
  .nav-toggle {
    display: block;
  }
  .nav-links {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background: white;
    flex-direction: column;
    gap: 1rem;
    padding: 1rem;
    display: none;
    box-shadow: 0 8px 10px -10px gray;
  }
  .nav-links.show {
    display: flex;
  }
  .nav-links.show li {
    padding: 0 0 7px 0;
    border-bottom: 1px solid #e9e9e0;
  }
  .nav-links.show li:last-child {
    padding: 0 0 0px 0;
    border-bottom: 0px solid #e9e9e0;
  }
  .main-nav {
    background: #fff; 
  }  
  .blockfooter {
    padding: 0;
  }
  
  .text h3 {
    font-size: 1.2rem;
  } 
}

@media (max-width:1096px) {
  .two-cols {
    grid-template-columns: 1fr;
  }

  .block {
    padding:3rem 0;
  }
  
  .inverted {
    background: #fff;
  }
  /*
   #kontakt .inverted {
    background: #f4f6f8;
  }
  */
}


    .swiper {
      width: 100%;
      height: 100%;
    }

    .swiper-slide {
      text-align: center;
      font-size: 18px;
      background: #fff;
      display: flex;
      justify-content: center;
      align-items: center;
      flex-direction: column
    }

    .swiper-slide img {
      display: block;
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
    

.slide-text {
  display:none;
  margin-top: 10px;
  font-size: 16px;
  color: #333;
}

.swiper-pagination {
  position: relative;
  margin-top: 5px;
}

.swiper-horizontal > .swiper-pagination-bullets {
  bottom: auto;
}
    
    
:root {
  --swiper-theme-color: #e1e1e1;
}

.swiper-lazy-preloader-white {
  --swiper-preloader-color: #FCFCFC;
}
.swiper-lazy-preloader-black {
  --swiper-preloader-color: #262626;
}

.swiper-slide {
  overflow: hidden;
}

.swiper-slide img{
  transition: 20s linear;
  transform: scale(1);
}

.swiper-slide.swiper-slide-active img {
  transform: scale(1.3);
}